[BUGFIX] Avoid PHP parse errors by PHP version check 66/36266/6
authorHelmut Hummel <helmut.hummel@typo3.org>
Mon, 26 Jan 2015 14:40:01 +0000 (15:40 +0100)
committerAlexander Opitz <opitz.alexander@googlemail.com>
Mon, 26 Jan 2015 17:02:57 +0000 (18:02 +0100)
commitd79a232c3359228c63b1cc8e8405165731bd3721
treed052c69b7df00ec1d905204065c072ce8229587d
parent24b4537f44040a3fa1b8dae8421772a91e556825
[BUGFIX] Avoid PHP parse errors by PHP version check

Display a proper error message if the PHP version 5.5 requirement is
not fulfilled instead of a fatal error "unexpected 'class' (T_CLASS)"
which might not even be displayed depending on server configuration.

Resolves: #64504
Releases: master
Change-Id: I04ae67e7fde645ff3a157192b437eae50041b6f9
Reviewed-on: http://review.typo3.org/36266
Reviewed-by: Helmut Hummel <helmut.hummel@typo3.org>
Tested-by: Helmut Hummel <helmut.hummel@typo3.org>
Reviewed-by: Andreas Fernandez <andreas.fernandez@aspedia.de>
Tested-by: Andreas Fernandez <andreas.fernandez@aspedia.de>
Reviewed-by: Alexander Opitz <opitz.alexander@googlemail.com>
Tested-by: Alexander Opitz <opitz.alexander@googlemail.com>
index.php
typo3/sysext/install/Resources/Private/PHP/Boot.php [new file with mode: 0644]
typo3/sysext/install/Start/Install.php